Package com.io7m.cardant.protocol.inventory.cb

# Record Class CAI1Item

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1Item

Record Components:
  `fieldId` - The item ID.
  `fieldName` - The item name.
  `fieldCountTotal` - The total item count.
  `fieldCountHere` - The item count in this location.
  `fieldMetadata` - The item metadata.
  `fieldAttachments` - The item attachments.
  `fieldTypes` - The item types.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record CAI1Item(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldName, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountTotal, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountHere, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,CAI1Metadata> fieldMetadata, com.io7m.cedarbridge.runtime.api.CBMap<CAI1AttachmentKey,CAI1Attachment> fieldAttachments, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldTypes) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
An item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CAI1Item(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldName, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountTotal, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountHere, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,CAI1Metadata> fieldMetadata, com.io7m.cedarbridge.runtime.api.CBMap<CAI1AttachmentKey,CAI1Attachment> fieldAttachments, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldTypes)`
  Creates an instance of a `CAI1Item` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1Item`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type CAI1Item.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBMap<CAI1AttachmentKey,CAI1Attachment>`
  `fieldAttachments()`
  Returns the value of the `fieldAttachments` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64`
  `fieldCountHere()`
  Returns the value of the `fieldCountHere` record component.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64`
  `fieldCountTotal()`
  Returns the value of the `fieldCountTotal` record component.
  `com.io7m.cedarbridge.runtime.api.CBUUID`
  `fieldId()`
  Returns the value of the `fieldId` record component.
  `com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,CAI1Metadata>`
  `fieldMetadata()`
  Returns the value of the `fieldMetadata` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldName()`
  Returns the value of the `fieldName` record component.
  `com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldTypes()`
  Returns the value of the `fieldTypes` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1Item $x)`
  Serialize a value of type CAI1Item.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CAI1Item

    public CAI1Item(com.io7m.cedarbridge.runtime.api.CBUUID fieldId, com.io7m.cedarbridge.runtime.api.CBString fieldName, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountTotal, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountHere, com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,CAI1Metadata> fieldMetadata, com.io7m.cedarbridge.runtime.api.CBMap<CAI1AttachmentKey,CAI1Attachment> fieldAttachments, com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldTypes)
    Creates an instance of a `CAI1Item` record class.
    Parameters:
      `fieldId` - the value for the `fieldId` record component
      `fieldName` - the value for the `fieldName` record component
      `fieldCountTotal` - the value for the `fieldCountTotal` record component
      `fieldCountHere` - the value for the `fieldCountHere` record component
      `fieldMetadata` - the value for the `fieldMetadata` record component
      `fieldAttachments` - the value for the `fieldAttachments` record component
      `fieldTypes` - the value for the `fieldTypes` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1Item $x) throws IOException
    Serialize a value of type CAI1Item.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1Item deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type CAI1Item.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type CAI1Item.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldId

    public com.io7m.cedarbridge.runtime.api.CBUUID fieldId()
    Returns the value of the `fieldId` record component.
    Returns:
      the value of the `fieldId` record component

  - ### fieldName

    public com.io7m.cedarbridge.runtime.api.CBString fieldName()
    Returns the value of the `fieldName` record component.
    Returns:
      the value of the `fieldName` record component

  - ### fieldCountTotal

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountTotal()
    Returns the value of the `fieldCountTotal` record component.
    Returns:
      the value of the `fieldCountTotal` record component

  - ### fieldCountHere

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned64 fieldCountHere()
    Returns the value of the `fieldCountHere` record component.
    Returns:
      the value of the `fieldCountHere` record component

  - ### fieldMetadata

    public com.io7m.cedarbridge.runtime.api.CBMap<com.io7m.cedarbridge.runtime.api.CBString,CAI1Metadata> fieldMetadata()
    Returns the value of the `fieldMetadata` record component.
    Returns:
      the value of the `fieldMetadata` record component

  - ### fieldAttachments

    public com.io7m.cedarbridge.runtime.api.CBMap<CAI1AttachmentKey,CAI1Attachment> fieldAttachments()
    Returns the value of the `fieldAttachments` record component.
    Returns:
      the value of the `fieldAttachments` record component

  - ### fieldTypes

    public com.io7m.cedarbridge.runtime.api.CBList<com.io7m.cedarbridge.runtime.api.CBString> fieldTypes()
    Returns the value of the `fieldTypes` record component.
    Returns:
      the value of the `fieldTypes` record component